Subject: Re: (i18n 47) Re: Japanese Profile (#422)

From: Erik M. van der Poel <[email-masked]>
Date: Thu, 13 Dec 90 22:28:48 +0900

> > Of course, the Japanese use both systems, the Western year and the Era
> > year, so that's why we want *two* -- %Y and %E. What I'm trying to say
> > in this message is: Why don't we put the main system (the true local
> > style) in %Y, and put the secondary system in the other one.
> 
> Maybe you should have more than one Japanese locale.

Yes, I like this idea! Instead of introducing things of questionable
generality like %E, we allow (force?) the Japanese (and Koreans,
Taiwanese, etc.) to deal with this locally (localely?).

> I am not sure what Erik means when he talks about main/secondary system.

By main system, I just meant the system that is the true local style,
i.e. the era system in the case of the Japanese. The secondary system
is just another one, that is not the true local style.

> I think you have just one (or maybe two) date formats available in
> your locale. There is the d_fmt and d_t_fmt - where the latter
> also includes the time.

Actually, the user is able to choose from a very large number of
formats for the date. In POSIX.2/D10, the "date" command allows the
use of %H, %M, %S, etc. in the format string:

	$ date '+%e %B'
	13 December
	$ 

> Doing programming for Japan depending on the knowledge that one
> date format displays the Era and the other the western date
> seems messy to me.
> 
> Keld

Right, American programmers should not have to worry about the
Japanese users' particular preferences.

Erik